package com.bonus.canteen.core.nutrition.common.dto;

import com.bonus.canteen.core.nutrition.common.utils.PageDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.NotBlank;
import java.time.LocalDate;

@ApiModel("分页查询人员体检报告")
public class HealthCustMedicalReportPageDTO extends PageDTO {
   @ApiModelProperty("人员id")
   private @NotBlank(
   message = "人员id不能为空!"
) Long userId;
   @ApiModelProperty("体检日期")
   private LocalDate medicalDate;


   public Long getUserId() {
      return this.userId;
   }

   public LocalDate getMedicalDate() {
      return this.medicalDate;
   }

   public void setUserId(final Long userId) {
      this.userId = userId;
   }

   public void setMedicalDate(final LocalDate medicalDate) {
      this.medicalDate = medicalDate;
   }

}
